Subject: Re: bug#32990: 26.1.50; isearch-forward + t-m-m/mark-active doc

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Nov 2018 16:05:05 +0200

> Date: Sat, 10 Nov 2018 14:57:43 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked]
> 
> Now that we have all of the important isearch commands and bindings
> indexed, we should be able to shorten isearch-forward's docstring.
> The question is, how much?  Here's one attempt that may cut out too
> much:
> 
>   "Do incremental search forward for a string as you type.
> \\<isearch-mode-map>
> \\[isearch-repeat-forward] moves forward to the next search hit.
> \\[isearch-repeat-backward] moves backward to the previous search hit.
> \\[isearch-abort] aborts the search and returns point to its former position.
> \\[isearch-exit] exits the search and leaves point where it is.
> 
> Many other non-printing keys have special bindings while searching;
> Info node `(emacs)Incremental Search' and its descendants describes
> them.
> 
> If REGEXP-P is non-nil (or interactively, when called with a
> prefix argument), do an incremental regular expression search
> instead.
> 
> If NO-RECURSIVE-EDIT is non-nil (as it is interactively), do not
> enter a recursive edit.  If nil, enter a recursive edit and
> exit the recursive edit when the search is done."

I think we should at least describe in the doc string what is
described in "Basic Isearch", which would mean adding
isearch-delete-char.  Other than that, I'm okay with this text.

> I remember reading somewhere a suggestion for adding a toolbar (and
> (or) a dedicated menu) for use during isearch-mode, to help the
> discoverability of these myriad keybindings.  That could be a good
> alternative to listing verbosely every binding in the docstring.

I agree, but we should make sure clicking the menu won't exit Isearch.

Thanks.